Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233296 - fence_scsi needs to work with multipath configurations
Summary: fence_scsi needs to work with multipath configurations
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: fence
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ryan O'Hara
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-21 14:47 UTC by Kiersten (Kerri) Anderson
Modified: 2009-04-16 20:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-07 15:44:45 UTC


Attachments (Terms of Use)

Description Kiersten (Kerri) Anderson 2007-03-21 14:47:03 UTC
Description of problem:
Current scsi reservations does searchs of devices attached to each of the
cluster nodes.  There are potentially issues when multipath is configured to
ensure that all of the paths get properly registered and used when running the
fencing operations.  This bugzilla is to ensure we track down and either
validate that fence_scsi and multipath work, or fix the problems that occur.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Ryan O'Hara 2007-06-07 15:44:45 UTC
There are several reasons that fence_scsi will not work with multipath
configurations. One limitation is that it would only work with active/active
controllers. Another reason is that dm-multipath will not pass the SCSI ioctl's
to all devices that comprise a multipath device.

Closed.


Note You need to log in before you can comment on or make changes to this bug.